WPSFont Class Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
WPSFont Class Reference

define the font properties More...

`#include <WPSFont.h>`

Inheritance diagram for WPSFont:

## Public Member Functions
| WPSFont ()
| constructor More...
virtual | ~WPSFont ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | isSet () const
| accessor More...
bool | operator== (WPSFont const &ft) const
| operator== More...
bool | operator!= (WPSFont const &ft) const
| operator!= More...

## Static Public Member Functions
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt) More...

## Public Attributes
librevenge::RVNGString | m_name
| font name More...
double | m_size
| font size More...
uint32_t | m_attributes
| the font attributes defined as a set of bits More...
double | m_spacing
| font spacing More...
WPSColor | m_color
| the font color More...
int | m_languageId
| the language (simplified locale name id) if known More...
std::string | m_extra
| public field use to add a message when the font is printed More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSFont const &ft)
| operator<< More...

## Detailed Description

define the font properties

## Constructor & Destructor Documentation

## ◆ WPSFont()

WPSFont::WPSFont | ( |  | ) |
| inline

constructor

## ◆ ~WPSFont()

virtual WPSFont::~WPSFont | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

## ◆ addTo()

void WPSFont::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by WKSContentListener::openSheetCell(), and ~WPSFont().

## ◆ getDefault()

static WPSFont WPSFont::getDefault | ( |  | ) |
| inlinestatic

returns the default font ( Courier 12pt)

Referenced by WPS4Text::getDefaultFont(), WPS8Graph::sendBorder(), WPS8Graph::sendObjects(), WPS4Graph::sendObjects(), LotusGraph::sendTextBox(), and LotusGraph::sendTextBoxWK4().

## ◆ isSet()

bool WPSFont::isSet | ( |  | ) | const
| inline

accessor

## ◆ operator!=()

bool WPSFont::operator!= | ( | WPSFont const & | ft | ) | const
| inline

operator!=

## ◆ operator==()

bool WPSFont::operator== | ( | WPSFont const & | ft | ) | const

operator==

Referenced by isSet(), and operator!=().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSFont const & | ft
| ) |  |
| friend

operator<<

Referenced by ~WPSFont().

## Member Data Documentation

## ◆ m_attributes

uint32_t WPSFont::m_attributes

the font attributes defined as a set of bits

Referenced by addTo(), operator<<(), operator==(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), DosWordParser::readCHP(), MSWriteParser::readCHP(), WKS4Parser::readFont(), WPS4Text::readFont(), LotusStyleManager::readFontStyleF0(), LotusSpreadsheet::readRowFormat(), QuattroParser::readUserFonts(), QuattroSpreadsheet::readUserStyle(), LotusSpreadsheet::sendText(), LotusGraph::sendTextBox(), LotusSpreadsheetInternal::ExtraStyle::update(), and QuattroSpreadsheetInternal::Cell::updateFormat().

## ◆ m_color

WPSColor WPSFont::m_color

the font color

Referenced by addTo(), operator<<(), operator==(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleD2Data(), DosWordParser::readCHP(), WPS8TextStyle::readFont(), WKS4Parser::readFont(), WPS4Text::readFont(), QuattroParser::readUserFonts(), QuattroSpreadsheet::readUserStyle(), LotusSpreadsheet::sendText(), LotusGraph::sendTextBox(), and LotusSpreadsheetInternal::ExtraStyle::update().

## ◆ m_extra

std::string WPSFont::m_extra

public field use to add a message when the font is printed

Referenced by operator<<(), operator==(), WKS4Parser::readFont(), WPS4Text::readFont(), and QuattroParser::readUserFonts().

## ◆ m_languageId

int WPSFont::m_languageId

the language (simplified locale name id) if known

Referenced by addTo(), operator==(), WPS8TextStyle::readFont(), WPSContentListener::setFont(), and WKSContentListener::setFont().

## ◆ m_name

librevenge::RVNGString WPSFont::m_name

font name

Referenced by addTo(), WPS8TextStyleInternal::Font::def(), getDefault(), WPS4TextInternal::Font::getDefault(), QuattroParserInternal::State::getDefaultFont(), WKS4ParserInternal::State::getDefaultFont(), LotusParserInternal::State::getDefaultFont(), isSet(), operator<<(), operator==(), LotusStyleManager::readCellStyleD2Data(), DosWordParser::readCHP(), MSWriteParser::readCHP(), WPS8TextStyle::readFont(), WKS4Parser::readFont(), WPS4Text::readFont(), LotusParser::readMacFontName(), LotusGraph::sendTextBox(), WPSContentListener::setFont(), WKSContentListener::setFont(), LotusStyleManager::updateState(), WKSContentParsingState::WKSContentParsingState(), and WPSContentParsingState::WPSContentParsingState().

## ◆ m_size

double WPSFont::m_size

font size

Referenced by addTo(), WPS8TextStyleInternal::Font::def(), getDefault(), WPS4TextInternal::Font::getDefault(), QuattroParserInternal::State::getDefaultFont(), WKS4ParserInternal::State::getDefaultFont(), LotusParserInternal::State::getDefaultFont(), operator<<(), operator==(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleD2Data(), DosWordParser::readCHP(), MSWriteParser::readCHP(), WPS8TextStyle::readFont(), WKS4Parser::readFont(), WPS4Text::readFont(), LotusSpreadsheet::readRowFormat(), QuattroParser::readUserFonts(), QuattroSpreadsheet::readUserStyle(), LotusGraph::sendTextBox(), WPSContentListener::setFont(), WKSContentListener::setFont(), LotusSpreadsheetInternal::Style::Style(), WKSContentParsingState::WKSContentParsingState(), and WPSContentParsingState::WPSContentParsingState().

## ◆ m_spacing

double WPSFont::m_spacing

font spacing

Referenced by addTo(), operator<<(), operator==(), and LotusGraph::sendTextBox().

The documentation for this class was generated from the following files:

- WPSFont.h
- WPSFont.cpp